///////////////////////////////////////////////////////////////////////////////
//                                                                           //
// Copyright (C) 2006 by Intel Coproration and Carnegie Mellon University    //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////

#ifndef __MAGICMOVETEST_H
#define __MAGICMOVETEST_H

#include "CodeModule.hxx"
#include "CatomWorld.hxx"

CODE_MODULE_PROTOTYPE( MagicMoveTest, MagicMoveTest );
using namespace std;

extern CatomWorld *worldPtr;

class MagicMoveTest : public CodeModule {
	featureID f;
public:
	MagicMoveTest(catomID _hostCatom) :
		CodeModule(_hostCatom),f(1) {}
	virtual void simulationStart();
	virtual void newTick();	
};

#endif
